Zum Inhalt

Get contact

Retrieve the properties and relationships of a Contact object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}/companies({id})/contactsKTG({id})

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a contact object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/contactsKTG({id})

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "fd3f4203-0e30-ee11-bdfc-6045bde98c16",
    "number": "KT000001",
    "type": "Company",
    "displayName": "Adatum Corporation",
    "name2": "",
    "firstName": "",
    "middleName": "",
    "surname": "",
    "companyNumber": "KT000001",
    "companyName": "Adatum Corporation",
    "contactBusinessRelation": "Customer",
    "addressLine1": "Station Road, 21",
    "addressLine2": "",
    "city": "Düsseldorf",
    "state": "",
    "country": "DE",
    "postalCode": "48436",
    "phoneNumber": "",
    "mobilePhoneNumber": "",
    "email": "adatum.corporation@contoso.com",
    "website": "",
    "searchName": "ADATUM CORPORATION",
    "privacyBlocked": false,
    "taxRegistrationNumber": "789456278",
    "lastInteractionDate": "2023-05-01",
    "lastModifiedDateTime": "2023-08-01T01:52:54.883Z",
    "customerTemplateId": "00000000-0000-0000-0000-000000000000",
    "customerTemplateCode": "DEBITOR UNTERNEHMEN",
    "currencyCode": "",
    "languageCode": "",
    "responsibilityCenter": "HAMBURG",
    "salutationCode": "MANDANT",
    "onlinePassword": "",
    "onlineLogin": ""
}

See also

Tips for working with the APIs
contact
Delete contact
Create contact
Update contact